//
//  Belt.h
//  Packer
//
//  Created by Jason Hurt on 12/14/11.
//  Copyright (c) 2011 UNLV. All rights reserved.
//

#import "cocos2d.h"

@interface Belt : CCSprite {
    NSMutableArray *items;
    CCSpriteBatchNode *_spriteBatchNode;
}

@property (nonatomic,assign) float rate;
@property (nonatomic,retain) NSMutableArray *items;
@property (nonatomic,assign) CFTimeInterval lastSpawnTime; 
@property (nonatomic,assign) float nextSpawnDelta; 


- (id)initWithX:(float)x andY:(float)y withClipArea:(int)clipArea andSpriteBatchNode:(CCSpriteBatchNode*)spriteBatchNode;
- (void)startBelt:(float)newRate;
- (void)newSpawnDelta;
- (void)update:(ccTime)dt;

@end
