//
//  BackgroundLayer.m
//  Packer
//
//  Created by Jason Hurt on 12/13/11.
//  Copyright (c) 2011 UNLV. All rights reserved.
//

#import "BackgroundLayer.h"
#import "Constants.h"

@implementation BackgroundLayer

-(id)init {
    self = [super init];
    if (self != nil) {
        CGSize screenSize = [[CCDirector sharedDirector] winSize];
        
        CCSprite *spback = [(CCSprite*)[CCSprite alloc] init];
        [self addChild:spback];
        
        CCSprite *warehouse = [CCSprite spriteWithFile:@"warehouse_background.png"];
        warehouse.tag=WAREHOUSE_TAG;
        [warehouse setPosition: CGPointMake(screenSize.width/2, screenSize.height/2)];
        [spback addChild:warehouse z:0 tag:0];
        [spback release];
    }
    return self;
}

- (void)update:(ccTime)dt {
    //no op
}

@end
