//
//  Score.h
//  Home
//
//  Created by Jennifer Wilhelm on 12/14/11.
//  Copyright 2011 Zappos. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"

@interface Score : CCLayer {
    NSArray *_ensembles;
    NSMutableArray *_ensembleFrames;
    CGSize _ss;
    CCSpriteBatchNode *_gameSpriteBatchNode;
    int _startX;
    int _startY;
    int _totalScore;
    BOOL _finished;
}

+ (CCScene*)scene;

- (id)initWithEnsembles:(NSArray*)ensembles;

@end
